2011-11-04  Philipp Kern  <phil@0x539.de>

	* po/obby.pot:
	* po/*.po: refresh

2011-11-04  Philipp Kern  <phil@0x539.de>

	* test/test_jupiter.cpp: fix base_file lookup on make
	distcheck

2011-11-04  Philipp Kern  <phil@0x539.de>

	* configure.ac:
	* NEWS: bump version to 0.4.8, document the changes

2011-10-30  Philip Kern  <phil@0x539.de>

	* po/ast.po:
	* po/en_GB.po:
	* po/pt_BR.po:
	* po/ca.po:
	* po/de.po:
	* po/es.po:
	* po/fr.po:
	* po/it.po:
	* po/nl.po:
	* po/oc.po:
	* po/sv.po:
	* po/uk.po: updated translations from Launchpad

	* po/LINGUAS: add ast, en_GB and pt_BR

2011-10-30  Armin Burgmeier  <armin@arbur.net>

	* inc/server_buffer.hpp: During authentication, swap user color and
	global password checks, to avoid for a non-authorized person to gather
	information on used user colors (Vasiliy Kulikov).

2011-02-09  Philipp Kern  <phil@0x539.de>

	* po/da.po: Added Danish translation by Joe Dalton.
	Debian bug #605322.

	* po/LINGUAS: Added da.

2009-10-12  Armin Burgmeier  <armin@0x539.de>

	* po/uk.po: Added Ukrainian translation by Yuri Chornoivan. Bug #479.

	* po/LINGUAS: Added uk.

2009-01-01  Philipp Kern  <phil@0x539.de>

	* po/ca.po:
	* po/de.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/oc.po:
	* po/sv.po: imported from Launchpad

2009-01-01  Philipp Kern  <phil@0x539.de>

	* configure.ac:
	* NEWS: bump version to 0.4.7, document the changes

2009-01-01  Philipp Kern  <phil@0x539.de>

	* po/oc.po: adjusted report-msgid-bugs-to

2008-12-04  Armin Burgmeier  <armin@0x539.de>

	* contrib/obby_web/obby.php: Use UTF-8 charset for htmlentities(), so
	that non-ASCII-characters are correctly shown (Bug #405).

2008-11-27  Philipp Kern  <phil@0x539.de>

	* po/fr.po: reviewed and completed French translation, thanks to
	Christian Perrier

2008-10-06  Philipp Kern  <phil@0x539.de>

	* po/fr.po: fixed typo in French translation (thanks to Lionel
	Porcheron)

2008-09-09  Philipp Kern  <phil@0x539.de>

	* configure.ac:
	* NEWS: bump version to 0.4.6, document the changes

2008-09-09  Philipp Kern  <phil@0x539.de>

	* po/LINGUAS:
	* po/oc.po: add new Occitan (post 1500) translation

2008-09-09  Philipp Kern  <phil@0x539.de>

	* src/Makefile.am, src/serialise/Makefile.am, test/Makefile.am: clean
	up include handling; first step to support distcheck

2008-09-08  Armin Burgmeier  <armin@0x539.de>

	* inc/client_buffer.hpp: Added a connect(const net6::address&)
	overload.

2008-09-08  Armin Burgmeier  <armin@0x539.de>

	* src/zeroconf_avahi.cpp: Set scope ID of discovered IPv6 services,
	for link-local IPv6 to work.

2008-06-22  Armin Burgmeier  <armin@0x539.de>

	* src/zeroconf_howl.cpp: Don't throw exceptions in C callbacks.
	Instead, print the error to std::cerr as the avahi implementation
	does.

2007-12-27  Philipp Kern <phil@0x539.de>

	* src/zeroconf_avahi.cpp: compilation fix for non-IPv6 builds

2007-12-27  Philipp Kern <phil@0x539.de>

	* NEWS: document changes

2007-12-27  Philipp Kern <phil@0x539.de>

	* configure.ac: bump version to 0.4.5

2007-12-27  Philipp Kern <phil@0x539.de>

	* src/Makefile.am: bump SONAME versin to 1:0:0 due to the new
	  discover6_event().

2007-12-01  Philipp Kern <phil@0x539.de>

	* New Italian translation, thanks to Sergio Zanchetta.
	* Translation import from Rosetta.

2007-07-22  Philipp Kern <phil@0x539.de>

	* New Swedish translation by Daniel Nylander [fixes #283]

2007-07-14  Philipp Kern <phil@0x539.de>

	* src/delete_operation.cpp:
	* src/insert_operation.cpp:
	* src/jupiter_algorithm.cpp:
	* src/jupiter_client.cpp:
	* src/jupiter_server.cpp:
	* src/jupiter_undo.cpp:
	* src/no_operation.cpp:
	* src/operation.cpp:
	* src/record.cpp:
	* src/split_operation.cpp: purged some dead code

2007-07-09  Armin Burgmeier  <armin@0x539.de>

	* src/zeroconf.cpp:
	* src/zeroconf_avahi.cpp:
	* inc/zeroconf_avahi.hpp:
	* inc/zeroconf_howl.hpp:
	* inc/zeroconf.hpp: Implement IPv6 discovery for avahi, added
	discover6_event() to zeroconf interface, added virtual destructor.
	This is an ABI break.

2007-06-14  Armin Burgmeier  <armin@0x539.de>

	* contrib/obby_web/obby.php: Fix parsing of escaped strings.

2007-04-15  Armin Burgmeier  <armin@0x539.de>

	* src/zeroconf_avahi.cpp: Don't prefix error message in throw() when
	discovering failed. The error handler may still do this.

2007-04-15  Philipp Kern <phil@0x539.de>

	* src/zeroconf_avahi.cpp: remove debug output on stdout and stderr

2007-04-15  Philipp Kern <phil@0x539.de>

	* configure.ac, NEWS: bump version to 0.4.4, document changes
	* Makefile.am: add obby session conversion script to the tarball
	* po/Makevars: updated Trac URL
	* po/obby.pot, po/*.po: updated line numbers, Trac URL

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/zeroconf.hpp: Added another TODO comment about adding extended
	API to handle zeroconf errors.

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/Makefile.am: Do not only distribute zeroconf_avahi.hpp, but also
	the other header files.

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/zeroconf.hpp: Added a TODO comment that zeroconf_base should get
	a virtual destructor as soon as we can break ABI.

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/zeroconf_avahi.hpp:
	* src/zeroconf_avahi.cpp: Allow custom AvahiPoll to be const.

2007-04-14  Philipp Kern <phil@0x539.de>

	* src/Makefile.am: bump library minor version for ABI changes
	  from 0:0:0 to 0:1:0

2007-04-14  Armin Burgmeier  <armin@0x539.de>

	* inc/zeroconf_avahi.hpp:
	* src/zeroconf_avahi.cpp: Added a constructor that allows the use of
	a custom AvahiPoll, and use AvahiSimplePoll in the default
	constructor. Added a obby::avahi_select::poll that implements an avahi
	poll with a net6 selector as backend. This is yet untested.

2007-04-14  Philipp Kern <phil@0x539.de>

	* inc/Makefile.am: install zeroconf_avahi.hpp because dependent
	  applications might want to dynamic_cast it to specify
	  a custom poll loop

2007-04-14  Philipp Kern <phil@0x539.de>

	* src/common.cpp: additional entry in the library's symbol table
	  if Avahi is used as Zeroconf backend

2007-04-14  Philipp Kern <phil@0x539.de>

	* configure.ac: reactivate the Avahi Zeroconf wrapper and prefer
	  it over Howl

2007-04-07  Armin Burgmeier  <armin@0x539.de>

	* inc/buffer.hpp (basic_buffer::document_add): Only emit subscription
	signal for the users that are initially subscribed, not for the ones
	that document_insert signal handlers potentially subscribe.

2007-04-02  Philipp Kern <phil@0x539.de>

	* inc/document_info.hpp:
	* inc/format_string.hpp:
	* inc/zeroconf.hpp:
	* src/colour.cpp: added additional #include directives to fix
	compilation with GCC 4.3, thanks to Martin Michlmayr

2007-04-02  Philipp Kern <phil@0x539.de>

	* inc/zeroconf_avahi.hpp:
	* src/zeroconf_avahi.cpp: Some improvements to the native Avahi
	implementation, thanks to Andreas Niess; yet untested:
	  + use threaded poll instead of simple poll

2007-03-21  Armin Burgmeier  <armin@0x539.de>

	* src/command.cpp: Do not truncate the last character of command
	arguments.

	* inc/server_buffer.hpp:
	* inc/host_buffer.hpp: Added a send_message overload that takes a
	recipient.

2007-03-15  Armin Burgmeier  <armin@0x539.de>

	* contrib/obbyconv/obbyconv_03_to_04: Added conversion script that
	converts obby sessions from version 0.3 to 0.4 by Thomas Herlea.

2007-02-25  Armin Burgmeier  <armin@0x539.de>

	* inc/document.hpp:
	* src/document.cpp: Added changed signal that is emitted every time
	the document is changed.

2007-02-25  Philipp Kern <phil@0x539.de>

	* README, configure.ac: Bump dependency of net6 to 1.3.3
	* NEWS, configure.ac: Bump version to 0.4.3

2006-11-08  Armin Burgmeier <armin@0x539.de>

	Fall back to IPv4 when the session could not be hosted on port IPv6
	[fixes #221]

2006-11-04  Armin Burgmeier <armin@0x539.de>

	Libtool stuff

2006-09-24  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-09-24  Philipp Kern <phil@0x539.de>

	Updated Autotools and gettext infrastructure

2006-09-15  Philipp Kern <phil@0x539.de>

	Fix build issue caused by a comment

2006-08-26  Philipp Kern <phil@0x539.de>

	Include the jupiter test file in the tarball

2006-08-26  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-08-26  Philipp Kern <phil@0x539.de>

	Update to the Catalan translation, thanks to Jordi Mallach

2006-08-26  Philipp Kern <phil@0x539.de>

	Bump version to 0.4.1

2006-08-26  Philipp Kern <phil@0x539.de>

	Add new translations to NEWS

2006-08-26  Philipp Kern <phil@0x539.de>

	Credit Jordi Mallach, Rolando Espinoza and Daniel Nylander as
	translators

2006-08-21  Philipp Kern <phil@0x539.de>

	Drop Fortran checks for a massive speed-up

2006-08-20  Philipp Kern <phil@0x539.de>

	Remove the test build conditional

2006-08-20  Armin Burgmeier <armin@0x539.de>

	Check whether file could be opened

2006-08-17  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-08-17  Philipp Kern <phil@0x539.de>

	Translation roundup

2006-08-17  Philipp Kern <phil@0x539.de>

	Fix the po/ Makefile

2006-08-16  Philipp Kern <phil@0x539.de>

	Bump version to 0.4.0rc4 and depend on net6-1.3.0rc3 or higher

2006-08-15  Armin Burgmeier <armin@0x539.de>

	Use IPv6 when compiled with --enable-ipv6

2006-08-15  Philipp Kern <phil@0x539.de>

	Update NEWS

2006-08-14  Philipp Kern <phil@0x539.de>

	Add chunk and suffix handling to obby-web

2006-08-11  Armin Burgmeier <armin@0x539.de>

	Try IPv6 name resolution when IPv4 failed and USE_IPV6 is activated

2006-08-11  Philipp Kern <phil@0x539.de>

	Enable IPv6 defines

2006-08-11  Armin Burgmeier <armin@0x539.de>

	Broadcast document removals

2006-08-07  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-08-07  Philipp Kern <phil@0x539.de>

	Bumped version to 0.4.0rc3

2006-08-07  Philipp Kern <phil@0x539.de>

	Re-establish the local m4 storage

2006-08-07  Armin Burgmeier <armin@0x539.de>

	m4 gettext macros

2006-08-07  Armin Burgmeier <armin@0x539.de>

	Fix insert/insert transformation, probably caused desync

2006-08-03  Armin Burgmeier <armin@0x539.de>

	Updated po/Makefile.in.in to gettext-0.15

2006-07-03  Armin Burgmeier <armin@0x539.de>

	Adjusted use of global PROTOCOL_VERSION

2006-07-03  Armin Burgmeier <armin@0x539.de>

	Find more users when flags do not match in user_table::find functions

2006-07-03  Armin Burgmeier <armin@0x539.de>

	Made PROTOCOL_VERSION global in order to get it linked correctly

2006-07-01  Philipp Kern <phil@0x539.de>

	Move the protocol version to buffer.cpp

2006-06-16  Philipp Kern <phil@0x539.de>

	GCC 3.3 compile fixes

2006-05-18  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-05-18  Philipp Kern <phil@0x539.de>

	Compile fix for GCC 4.0

2006-05-18  Philipp Kern <phil@0x539.de>

	Bumped version to 0.4.0rc2

2006-05-18  Philipp Kern <phil@0x539.de>

	Deactivate all Zeroconf implementations except Howl

2006-05-14  Armin Burgmeier <armin@0x539.de>

	GCC 3.3 build fix

2006-05-07  Philipp Kern <phil@0x539.de>

	Added `make check' testrunner

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Make tests return EXIT_SUCCESS or EXIT_FAILURE

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Removed jupiter dir, added jupiter test to test/

2006-05-07  Armin Burgmeier <armin@0x539.de>

	Fixed a bug in text::compare that produced incorrect results

2006-05-06  Philipp Kern <phil@0x539.de>

	Check for substrings in Win32 detection

2006-04-29  Armin Burgmeier <armin@0x539.de>

	Removed rsa test

2006-04-18  Philipp Kern <phil@0x539.de>

	Compatibility fix for Avahi's Howl layer

2006-04-17  Philipp Kern <phil@0x539.de>

	Split Zeroconf API into three files and implement auto API selection

2006-04-15  Philipp Kern <phil@0x539.de>

	Refactored Zeroconf support, added Avahi stub (dysfunctional)

2006-04-10  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2006-04-10  Philipp Kern <phil@0x539.de>

	Log logic errors to stderr

2006-04-08  Armin Burgmeier <armin@0x539.de>

	obby::text::erase ignored stuff merged with first chunk

2006-04-01  Armin Burgmeier <armin@0x539.de>

	Only adjust doc counter when conflicting with synced document's ID

2006-04-01  Armin Burgmeier <armin@0x539.de>

	Initialise document ID counter in initial sync

2006-03-30  Philipp Kern <phil@0x539.de>

	Empty the TODO for now

2006-03-30  Philipp Kern <phil@0x539.de>

	Translation roundup

2006-03-30  Philipp Kern <phil@0x539.de>

	Updated NEWS once again

2006-03-30  Philipp Kern <phil@0x539.de>

	Update version to 0.4.0rc1

2006-03-30  Armin Burgmeier <armin@0x539.de>

	Changed codename for 0.4.0 to Faust

2006-03-29  Armin Burgmeier <armin@0x539.de>

	Remove client connection on logic error in server_buffer [fixes #119]

2006-03-28  Armin Burgmeier <armin@0x539.de>

	Added command_context_from

2006-03-28  Armin Burgmeier <armin@0x539.de>

	Changed user_context and document_info context according to new
	context behaviour

2006-03-27  Armin Burgmeier <armin@0x539.de>

	Added forwards of keepalive option

2006-03-25  Armin Burgmeier <armin@0x539.de>

	Replaced line.cpp by text.cpp in POTFILES.in

2006-03-25  Philipp Kern <phil@0x539.de>

	Place library requirements in a central location

2006-03-25  Philipp Kern <phil@0x539.de>

	Activate the maintainer mode configure option

2006-03-25  Philipp Kern <phil@0x539.de>

	Use obby-0.4 for pkgconfig, depend on net6-1.3

2006-03-25  Philipp Kern <phil@0x539.de>

	Preliminary NEWS for 0.4.0

2006-03-24  Philipp Kern <phil@0x539.de>

	Bump version and API version

2006-03-24  Armin Burgmeier <armin@0x539.de>

	Removed token storage in user, we do not need the token anymore

2006-03-24  Philipp Kern <phil@0x539.de>

	Removed SHA1, tokens and all references to GMP

2006-03-24  Philipp Kern <phil@0x539.de>

	Remove the GMP autoconf macros

2006-03-24  Philipp Kern <phil@0x539.de>

	Removed the RSA support and with it the GMP dependency

2006-03-20  Armin Burgmeier <armin@0x539.de>

	Guarantee connection encryption before sending login

2006-03-19  Armin Burgmeier <armin@0x539.de>

	Command subsystem. However, only /me and /help are implemented
	[fixes #29]

2006-03-13  Armin Burgmeier <armin@0x539.de>

	Emit subscription signal after complete user subscription

2006-03-12  Armin Burgmeier <armin@0x539.de>

	Made obby::document fulfill document requirements

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Added suffix for documents with the same name

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Removed encrypted signal handler, one may connect to
	net6::user::encrypted_event

2006-03-10  Armin Burgmeier <armin@0x539.de>

	Fixed session restore in Gobby

2006-03-03  Armin Burgmeier <armin@0x539.de>

	Moved is_open() into base class (basic_buffer)

2006-03-02  Armin Burgmeier <armin@0x539.de>

	Some more changes to allow the use of documents without connection

2006-03-01  Armin Burgmeier <armin@0x539.de>

	Some changes to server to keep documents after closure

2006-03-01  Armin Burgmeier <armin@0x539.de>

	Some changes to client code to keep documents after disconnection

2006-02-28  Armin Burgmeier <armin@0x539.de>

	Added encoding field in document info

2006-02-26  Armin Burgmeier <armin@0x539.de>

	Provide current subscription state to client applications

2006-02-22  Armin Burgmeier <armin@0x539.de>

	Some fixes to obby::text and the new document templates

2006-02-14  Philipp Kern <phil@0x539.de>

	Initial addition of encryption support to the client_buffer

2006-02-10  Armin Burgmeier <armin@0x539.de>

	Implemented remaining text stuff, documentation

2006-02-10  Armin Burgmeier <armin@0x539.de>

	Added text::erase, text::append and text::prepend with
	corresponding tests

2006-02-09  Armin Burgmeier <armin@0x539.de>

	Further changes to text::substr and text::insert

2006-02-09  Armin Burgmeier <armin@0x539.de>

	Some optimizations to text::insert

2006-02-09  Armin Burgmeier <armin@0x539.de>

	Some initial changes to replace obby::line. This breaks gobby
	and sobby.

2006-02-06  Armin Burgmeier <armin@0x539.de>

	Added jupiter_error

2006-02-04  Armin Burgmeier <armin@0x539.de>

	Use IPv4 instead of IPv6 in host_buffer

2006-02-03  Armin Burgmeier <armin@0x539.de>

	Added document template to operation and record

2006-02-02  Armin Burgmeier <armin@0x539.de>

	Templatized jupiter implementation with document type

2006-01-30  Armin Burgmeier <armin@0x539.de>

	Added document template for server and host

2006-01-30  Armin Burgmeier <armin@0x539.de>

	Added document template to client_buffer and client_document_info

2006-01-30  Armin Burgmeier <armin@0x539.de>

	Added Document template to local_buffer and local_document_info

2006-01-29  Armin Burgmeier <armin@0x539.de>

	Introduced document template for buffer and document_info

2006-01-26  Armin Burgmeier <armin@0x539.de>

	Added missing return statement in client_document_info

2006-01-26  Armin Burgmeier <armin@0x539.de>

	Some autostuff...

2006-01-26  Armin Burgmeier <armin@0x539.de>

	Removed trailing ';' from serialise namespace in colour.hpp

2006-01-19  Trac <trac@darcs.0x539.de>

	TODO updated

2005-12-08  Philipp Kern <phil@0x539.de>

	Supplementary commit for translation roundup

2005-12-08  Philipp Kern <phil@0x539.de>

	Update net6 dependency mentioned in README

2005-12-08  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-12-08  Philipp Kern <phil@0x539.de>

	Change translation list in NEWS for 0.3.0

2005-11-27  Philipp Kern <phil@0x539.de>

	Remove empty jupiter/TODO

2005-11-24  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-11-24  Philipp Kern <phil@0x539.de>

	Depend on net6-1.2 1.2.1 or higher

2005-11-24  Armin Burgmeier <armin@0x539.de>

	Read serialised sessions linewise on WIN32

2005-11-24  Armin Burgmeier <armin@0x539.de>

	Removed obsolete code in source files which is not templatized

2005-11-24  Armin Burgmeier <armin@0x539.de>

	Explictely use (hex_)contexts at some places

2005-11-22  Armin Burgmeier <armin@0x539.de>

	Removed covariant returns from host_buffer

2005-11-20  Philipp Kern <phil@0x539.de>

	Send sync_init earlier

2005-11-20  Philipp Kern <phil@0x539.de>

	Log document creations

2005-11-19  Armin Burgmeier <armin@0x539.de>

	Updated README for net6-1.2

2005-11-19  Armin Burgmeier <armin@0x539.de>

	Translate a missing string in inc/serialise/attribute.hpp

2005-11-18  Armin Burgmeier <armin@0x539.de>

	Added inc/server_buffer.hpp to POTFILES.in

2005-11-18  Philipp Kern <phil@0x539.de>

	Bugfix for refresh link in obby_web

2005-11-17  Armin Burgmeier <armin@0x539.de>

	gettext_package usage for obby, resulting in Win32 locale support

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Do not store a local reference to user table, gcc 3.3 seems to
	be confused by this

2005-11-17  Armin Burgmeier <armin@0x539.de>

	Need runtime-pseudo-reloc stuff on win32

2005-11-17  Trac <trac@darcs.0x539.de>

	TODO updated

2005-11-15  Philipp Kern <phil@0x539.de>

	Translation roundup, No. 2

2005-11-15  Philipp Kern <phil@0x539.de>

	Updated NEWS

2005-11-15  Philipp Kern <phil@0x539.de>

	Translation roundup

2005-11-13  Philipp Kern <phil@0x539.de>

	Updated NEWS 

2005-11-12  Armin Burgmeier <armin@0x539.de>

	Added local_document_info::is_subscribed()

2005-11-06  Philipp Kern <phil@0x539.de>

	Added Swedish translation, thanks to Daniel Nylander!

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Only user const user in buffer, user_table provides methods to
	manipulate

2005-11-05  Philipp Kern <phil@0x539.de>

	Renamed htaccess away from the dot file

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Added .htaccess for mod_rewrite

2005-11-05  Armin Burgmeier <armin@0x539.de>

	Committet obby.php (web visualisation of serialised sessions)

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Serialise colour in RRGGBB format instead of BBGGRR

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Replaced flags/reverse to inc_flags/exc_flags in user_table

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Introduced obby_codename()

2005-11-04  Armin Burgmeier <armin@0x539.de>

	Reimplemented ring class using std::list

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Removed original operations, they have no use right now

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Prompt for any incorrect login parameters

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Made passwords optional in login packet

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Save and require obby version in serialised session

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Implemented hex_context for user and document_info

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Do not use IPv6

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Throw error if serialisation failed

2005-11-03  Armin Burgmeier <armin@0x539.de>

	ring is broken, but we do not need it right now, anyway

2005-11-03  Armin Burgmeier <armin@0x539.de>

	Fixed obby::user_table::count

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Fixed a potential endless loop in ring

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Introduced obby::colour class

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Surrended an error message in user_table by _()

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Fixed a memleak in jupiter_undo

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Added chat class for handling chat messages

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Integrated undo manager in server

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Undo integration for jupiter_client

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Renamed signal_local_type to signal_record_type

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Store only local undo stack in undo manager

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Added ring test

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Notify jupiter_client about user subscriptions

2005-11-02  Armin Burgmeier <armin@0x539.de>

	Added missing reversible_insert_operation files

2005-10-28  Armin Burgmeier <armin@0x539.de>

	Added reversible_insert_operation along with undo manager class

2005-10-28  Armin Burgmeier <armin@0x539.de>

	Added ring class

2005-10-27  Armin Burgmeier <armin@0x539.de>

	Added inc/serialise to Doxyfile

2005-10-23  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-22  Armin Burgmeier <armin@0x539.de>

	std::auto_ptr does not provide operator!, using ptr.get() == NULL
	instead

2005-10-22  Philipp Kern <phil@0x539.de>

	Catalan translation added, thanks to Jordi Mallach

2005-10-21  Armin Burgmeier <armin@0x539.de>

	Added serialisation methods, fixed some serialisation errors

2005-10-09  Armin Burgmeier <armin@0x539.de>

	obby-local user IDs

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Avoid returning reference to temporary in
	document_packet::get_command()

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Show what has gone wrong if a conversion error occured in
	attribute::as

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Increased protocol version to 3 for new serialisation concept

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Session deserialisation

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Fixed 'Unexpected enf of input' when last object has an attribute

2005-10-09  Armin Burgmeier <armin@0x539.de>

	Allow newlines at last line of file

2005-10-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-07  Philipp Kern <phil@0x539.de>

	Index the serialisation subdirectory with doxygen

2005-10-07  Armin Burgmeier <armin@0x539.de>

	Changes according to new net6 serialisation concept

2005-10-05  Armin Burgmeier <armin@0x539.de>

	Do not initialize attribute with line

2005-10-05  Armin Burgmeier <armin@0x539.de>

	Attribute stores line

2005-10-05  Trac <trac@darcs.0x539.de>

	TODO updated

2005-10-04  Armin Burgmeier <armin@0x539.de>

	Connect after registering signal handlers

2005-10-04  Armin Burgmeier <armin@0x539.de>

	Made buffers reusable

2005-10-02  Armin Burgmeier <armin@0x539.de>

	Fixed serialisation parser

2005-10-01  Philipp Kern <phil@0x539.de>

	Autotools build fixes

2005-09-30  Philipp Kern <phil@0x539.de>

	Added library linking to libserialise.la

2005-09-30  Philipp Kern <phil@0x539.de>

	Convert serialisation into a libtool convenience library

2005-09-30  Armin Burgmeier <armin@0x539.de>

	Serialisation from memory, serialisation test

2005-09-29  Armin Burgmeier <armin@0x539.de>

	obby::serialise compiles now

2005-09-29  Armin Burgmeier <armin@0x539.de>

	Changed RSA test to return non-zero if it fails

2005-09-29  Armin Burgmeier <armin@0x539.de>

	Removed useless curses.cpp and bufferd.cpp

2005-09-29  Philipp Kern <phil@0x539.de>

	Serialisation is built as a separated static library

2005-09-29  Armin Burgmeier <armin@0x539.de>

	Added parser.cpp

2005-09-29  Armin Burgmeier <armin@0x539.de>

	serialisation

2005-09-22  Michael Walter <michael.walter@gmail.com>

	Disambiguating parameter type and name to make MSVC8 compile.

2005-09-22  Michael Walter <michael.walter@gmail.com>

	Added MSVC8 project & fake headers.

2005-09-22  Michael Walter <michael.walter@gmail.com>

	Added missing HOWL_API to callbacks.

2005-09-22  Armin Burgmeier <armin@0x539.de>

	added auto-generated privileges enum for document_info

2005-09-20  Armin Burgmeier <armin@0x539.de>

	Fixed endless recursion in flags::operator bool()

2005-09-20  Armin Burgmeier <armin@0x539.de>

	Some const fixes

2005-09-20  Armin Burgmeier <armin@0x539.de>

	auto-generated user enums, removed templates from usertable
	(do not work with classes)

2005-09-20  Armin Burgmeier <armin@0x539.de>

	Added mkenum.rb

2005-09-19  Armin Burgmeier <armin@0x539.de>

	Fixed delete_operation's reading from a packet

2005-09-19  Armin Burgmeier <armin@0x539.de>

	Adjusted erase method of document infos for delete_operation
	taking only len

2005-09-19  Philipp Kern <phil@0x539.de>

	Added undoable delete operation, removed text from normal one

2005-09-17  Philipp Kern <phil@0x539.de>

	Added m4 to the Automake recursion

2005-09-16  Armin Burgmeier <armin@0x539.de>

	Begin of privileges

2005-09-15  Philipp Kern <phil@0x539.de>

	Depend on newer net6

2005-09-15  Philipp Kern <phil@0x539.de>

	Update SONAME and pkgconfig control file for 0.3.x

2005-09-15  Armin Burgmeier <armin@0x539.de>

	Cleaned up a bit

2005-09-15  Philipp Kern <phil@0x539.de>

	Added 0.3.0 NEWS item

2005-09-14  Armin Burgmeier <armin@0x539.de>

	Some first corrections

2005-09-13  Armin Burgmeier <armin@0x539.de>

	Adjusted server/host_document_info, buffers

2005-09-12  Armin Burgmeier <armin@0x539.de>

	Added netcode to line, operation and record

2005-09-12  Armin Burgmeier <armin@0x539.de>

	Templated document_info, local_document_info and client_document_info

2005-09-12  Armin Burgmeier <armin@0x539.de>

	*_document classes are no longer necessary

2005-09-12  Armin Burgmeier <armin@0x539.de>

	Introduced document_packet

2005-09-11  Armin Burgmeier <armin@0x539.de>

	jupiter_server/jupiter_client

2005-09-11  Armin Burgmeier <armin@0x539.de>

	Added jupiter_algorithm

2005-09-11  Armin Burgmeier <armin@0x539.de>

	libtool stuff

2005-09-11  Armin Burgmeier <armin@0x539.de>

	jupiter: add_ack_request does not need special handling for
	split_operation

2005-09-11  Armin Burgmeier <armin@0x539.de>

	Added operations and record

2005-09-10  Armin Burgmeier <armin@0x539.de>

	Added vector_time, adjusted document for upcoming jupiter integration

2005-09-09  Armin Burgmeier <armin@0x539.de>

	Implemented jupiter n-way

2005-09-09  Armin Burgmeier <armin@0x539.de>

	Just another split_operation fix

2005-09-09  Armin Burgmeier <armin@0x539.de>

	Fixed split_operation::apply

2005-09-08  Armin Burgmeier <armin@0x539.de>

	Added jupiter test framework

2005-09-07  Armin Burgmeier <armin@0x539.de>

	Removed some useless <iostream> inclusions

2005-09-07  Armin Burgmeier <armin@0x539.de>

	Templatized the obby buffers.

2005-09-07  Philipp Kern <phil@0x539.de>

	Depend on new net6 API

2005-09-07  Armin Burgmeier <armin@0x539.de>

	init_gettext method

2005-09-06  Armin Burgmeier <armin@0x539.de>

	Adjustments to peer->user renaming in net6

2005-09-04  Philipp Kern <phil@0x539.de>

	FreeBSD build fixes, thanks to Ben Laurie

2005-09-02  Philipp Kern <phil@0x539.de>

	Documentation fixes, removed obsolete parameter from line

2005-08-23  Philipp Kern <phil@0x539.de>

	Opened 0.3.x tree

2005-08-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-20  Philipp Kern <phil@0x539.de>

	Remove canceled records from the memo map

2005-08-20  Philipp Kern <phil@0x539.de>

	Ignore gettext output

2005-08-19  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-15  Philipp Kern <phil@0x539.de>

	Removed obsolete sources entries from src/Makefile.am

2005-08-15  Philipp Kern <phil@0x539.de>

	Added missing replace pattern to pkg-config control file

2005-08-15  Philipp Kern <phil@0x539.de>

	Removed outdated identity check from user.hpp

2005-08-12  Philipp Kern <phil@0x539.de>

	rom the Parma Polyhedra Library (PPL), licensed under the GNU GPL

2005-08-09  Trac <trac@darcs.0x539.de>

	TODO updated

2005-08-05  Philipp Kern <phil@0x539.de>

	Allow initially unowned text on document creation, thanks to
	Ben Levitt

2005-07-29  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2005-07-29  Philipp Kern <phil@0x539.de>

	Updated net6 dependency

2005-07-29  Philipp Kern <phil@0x539.de>

	Cleanup commit

2005-07-28  Philipp Kern <phil@0x539.de>

	Fixed typo in Makefile.am

2005-07-28  Armin Burgmeier <armin@0x539.de>

	Do not subscribe document owners twice in server_document_info

2005-07-28  Philipp Kern <phil@0x539.de>

	Removed obsolete help notice

2005-07-27  Philipp Kern <phil@0x539.de>

	Added French translation by Peer Janssen

2005-07-27  Armin Burgmeier <armin@0x539.de>

	use dynamic_cast to upcast net6::server to net6::host

2005-07-26  Philipp Kern <phil@0x539.de>

	Do not change the colour when check_colour failed

2005-07-26  Armin Burgmeier <armin@0x539.de>

	Derived obby::user from net6::non_copyable

2005-07-25  Armin Burgmeier <armin@0x539.de>

	Format string fixes

2005-07-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-24  Philipp Kern <phil@0x539.de>

	This release is API- and ABI-incompatible to the previous ones

2005-07-24  Philipp Kern <phil@0x539.de>

	Depend on net6's 1.1.x API

2005-07-24  Armin Burgmeier <armin@0x539.de>

	Do not send created documents back to owner

2005-07-24  Philipp Kern <phil@0x539.de>

	Moved gettext initialisation around

2005-07-24  Philipp Kern <phil@0x539.de>

	Added missing gettext initialisation [fixes #40]

2005-07-24  Philipp Kern <phil@0x539.de>

	The host now checks its own colour for correctness

2005-07-23  Philipp Kern <phil@0x539.de>

	Added some release notes directly to the sources

2005-07-23  Philipp Kern <phil@0x539.de>

	Added unpublish'ing facility

2005-07-23  Philipp Kern <phil@0x539.de>

	Fixes to the colour change code

2005-07-23  Philipp Kern <phil@0x539.de>

	Allow user colour changes

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Changes by libtool

2005-07-21  Armin Burgmeier <armin@0x539.de>

	Using new default_accumulator for the password callbacks

2005-07-21  Philipp Kern <phil@0x539.de>

	Some test cleanup

2005-07-21  Philipp Kern <phil@0x539.de>

	Iterate backwards in the RSA code

2005-07-21  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-20  Philipp Kern <phil@0x539.de>

	Use the right generated key as the public one

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Fixed denial of subscription if document owner left the session

2005-07-20  Philipp Kern <phil@0x539.de>

	Corrected typo in src/error.cpp

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Use correct parameter indizes in welcome packet.

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Virtualised network handling methods

2005-07-20  Armin Burgmeier <armin@0x539.de>

	Check for protocol compatibility [fixes #42]

2005-07-19  Philipp Kern <phil@0x539.de>

	Some fixes to the key generator and the encryption module

2005-07-19  Armin Burgmeier <armin@0x539.de>

	Removed ; after namespace declaration

2005-07-19  Armin Burgmeier <armin@0x539.de>

	Bugfix: Welcome packet was built but not sent

2005-07-19  Armin Burgmeier <armin@0x539.de>

	Added sync_final singal to client buffer

2005-07-18  Philipp Kern <phil@0x539.de>

	Added gmpxx linking to configure.in

2005-07-18  Armin Burgmeier <armin@0x539.de>

	Exception if login without having received welcome packet

2005-07-18  Armin Burgmeier <armin@0x539.de>

	obby_version was defined twice

2005-07-18  Armin Burgmeier <armin@0x539.de>

	Key & token generation

2005-07-18  Philipp Kern <phil@0x539.de>

	Implemented the key generator

2005-07-18  Armin Burgmeier <armin@0x539.de>

	SHA1 hash function implementation

2005-07-18  Armin Burgmeier <armin@0x539.de>

	rsa.cpp build fixes

2005-07-18  Philipp Kern <phil@0x539.de>

	Unpublish Zeroconf entries before cancelling the session

2005-07-18  Philipp Kern <phil@0x539.de>

	Integrated hashing and RSA encryption into the buffers

2005-07-18  Philipp Kern <phil@0x539.de>

	Added SHA1 class header, some RSA fixes

2005-07-18  Philipp Kern <phil@0x539.de>

	Removed obsolete Makefile.am content

2005-07-18  Philipp Kern <phil@0x539.de>

	Preliminary RSA implementation, key generation pending

2005-07-18  Philipp Kern <phil@0x539.de>

	Ignore config.hpp.in

2005-07-18  Philipp Kern <phil@0x539.de>

	Increased the maximum error count to avoid conflicts

2005-07-17  Philipp Kern <phil@0x539.de>

	Translated two more strings

2005-07-18  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-17  Armin Burgmeier <armin@0x539.de>

	Basic user authentication [fixes #55]

2005-07-17  Trac <trac@darcs.0x539.de>

	TODO updated

2005-07-15  Armin Burgmeier <armin@0x539.de>

	Simple global password [fixes #56]

2005-07-15  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-30  Philipp Kern <phil@0x539.de>

	Added operator== and operator!= to obby::user

2005-06-25  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-24  Philipp Kern <phil@0x539.de>

	Shuffle gettext Makefile to get built correctly

2005-06-24  Philipp Kern <phil@0x539.de>

	Added missing cassert include in src/user.cpp

2005-06-24  Philipp Kern <phil@0x539.de>

	Bumped SONAME as obby 0.2.0 is ABI incompatible to 0.1.0

2005-06-23  Armin Burgmeier <armin@0x539.de>

	Implemented Document Owners, changes according to net6's new
	type system [fixes #38]

2005-06-15  Benjamin Herr <ben@0x539.de>

	Fixed order of base constructor calls in some multi-inheriting classes

2005-06-15  Benjamin Herr <ben@0x539.de>

	Added return *this in random operators where appropriate

2005-06-23  Philipp Kern <phil@0x539.de>

	Added missing ABOUT-NLS

2005-06-19  Philipp Kern <phil@0x539.de>

	Fixed German translation

2005-06-19  Philipp Kern <phil@0x539.de>

	Added German translation

2005-06-19  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-18  Philipp Kern <phil@0x539.de>

	Implemented internationalisation [fixes #40]

2005-06-18  Philipp Kern <phil@0x539.de>

	Updated NEWS with 0.2.0 information

2005-06-16  Philipp Kern <phil@0x539.de>

	obby depends on net6-1.1.0

2005-06-16  Philipp Kern <phil@0x539.de>

	Removed autogen.sh, it is superseded by autoreconf

2005-06-15  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-14  Philipp Kern <phil@0x539.de>

	Ignore the 0.0.0.0 Zeroconf entry for IPv6 addresses

2005-06-14  Armin Burgmeier <armin@0x539.de>

	Introduced format_string [fixes #37]

2005-06-14  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-13  Armin Burgmeier <armin@0x539.de>

	Synchronise documents on request [fixes #10]

2005-06-08  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-07  Armin Burgmeier <armin@0x539.de>

	Introduces flags for obby::user, moved all user stuff to user_table
	[fixes #8, fixes #41]

2005-06-07  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-06  Philipp Kern <phil@0x539.de>

	Do not build the tests by default

2005-06-06  Armin Burgmeier <armin@0x539.de>

	Adjusted for error code transmission (#16)

2005-06-06  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-04  Philipp Kern <phil@0x539.de>

	Updated ChangeLog for release

2005-06-03  Armin Burgmeier <armin@0x539.de>

	Adjustment for a net6 API change

2005-06-03  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-02  Trac <trac@darcs.0x539.de>

	TODO updated

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Emit changed signal in server_document::insert and server_document::erase

2005-06-01  Armin Burgmeier <armin@0x539.de>

	get_revision for obby::document

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Change signal which is emitted before/after a change is performed
	[fixes #11]

2005-06-01  Armin Burgmeier <armin@0x539.de>

	Renamed _size function to _count, unified such functions

2005-05-31  Philipp Kern <phil@0x539.de>

	Added a linking exception for howl [fixes #18]

2005-05-29  Armin Burgmeier <armin@0x539.de>

	local_buffer as common base class of client_buffer and host_buffer
	[fixes #9]

2005-05-29  Armin Burgmeier <armin@0x539.de>

	buffer provides access to the size of the document and user list

2005-05-12  Philipp Kern <phil@0x539.de>

	Sum the colour differences and allow more subtle differences

2005-05-10  Philipp Kern <phil@0x539.de>

	Added README

2005-05-09  Philipp Kern <phil@0x539.de>

	Changed API identifier from 0 to 1.0

2005-05-07  Armin Burgmeier <armin@0x539.de>

	user_table provides an iterator over the users

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Fixed a segfault in line::substr

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Document provides access to the obby::line instead of just its contents

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Added line test

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Fixed author storage in line

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Line provides author_iterator

2005-05-07  Armin Burgmeier <armin@0x539.de>

	Host sends changes with its local user ID instead of 0

2005-05-06  Armin Burgmeier <armin@0x539.de>

	Fixed copy constructor of ptr_iterator, it behaved like the
	standard constructor

2005-05-06  Armin Burgmeier <armin@0x539.de>

	client_document provides access to the amount of unsynced changes

2005-05-05  Philipp Kern <phil@0x539.de>

	New TODO item about server-side commands

2005-05-05  Philipp Kern <phil@0x539.de>

	Temporary objects need copy constructors to be passed to functions

2005-05-05  Philipp Kern <phil@0x539.de>

	Set scripts executable and use a partial checkout in the ebuild

2005-05-05  Armin Burgmeier <armin@0x539.de>

	buffer provides user_iterator to iterator thorugh users

2005-05-05  Armin Burgmeier <armin@0x539.de>

	Introduced ptr_iterator

2005-05-05  Armin Burgmeier <armin@0x539.de>

	Removed two TODO entries

2005-05-05  Armin Burgmeier <armin@0x539.de>

	auto* seems to have updated some auto-generated files...

2005-05-05  Armin Burgmeier <armin@0x539.de>

	nosync operations emits duplex insert/delete signals and take records

2005-05-05  Armin Burgmeier <armin@0x539.de>

	Renamed duplexsignal.hpp/cpp to duplex_signal.hpp/cpp

2005-05-04  Philipp Kern <phil@0x539.de>

	document::get_title() now returns const std::string&

2005-05-04  Armin Burgmeier <armin@0x539.de>

	Introduced duplexsignal

2005-05-04  Philipp Kern <phil@0x539.de>

	User tables need to be forward declared

2005-05-04  Philipp Kern <phil@0x539.de>

	Renamed Rendezvous to Zeroconf

2005-05-03  Philipp Kern <phil@0x539.de>

	Pass buffers to the documents instead of usertables

2005-05-03  Philipp Kern <phil@0x539.de>

	Added get_user_table() to the buffers

2005-04-17  Philipp Kern <phil@philkern.de>

	Export obby_has_howl() to something outside the mangler

2005-04-17  Philipp Kern <phil@philkern.de>

	New WITH_HOWL define, obby_version(), obby_has_howl()

2005-04-17  Philipp Kern <phil@philkern.de>

	Gather host information correctly

2005-04-16  Philipp Kern <phil@philkern.de>

	Updated TODO, note about serialisation

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Replaced the custom_login by a login_extend signal handler

2005-04-15  Armin Burgmeier <armin@0x539.de>

	Corrections for the new net6 API

2005-04-14  Philipp Kern <phil@philkern.de>

	Changed location of boringfile, added config.hpp

2005-04-14  Philipp Kern <phil@0x539.de>

	Ignore Makefiles and Makefile.ins

2005-04-14  Philipp Kern <phil@philkern.de>

	Changed the package name to obby instead of libobby

2005-04-14  Philipp Kern <phil@0x539.de>

	Renamed lobby-1.0.pc to obby-1.0.pc

2005-04-14  Philipp Kern <phil@0x539.de>

	The creator's id is now passed with the create packet

2005-04-14  Philipp Kern <phil@0x539.de>

	Build inc/Makefile correctly

2005-04-14  Philipp Kern <phil@0x539.de>

	Initial content is now passed with the create packet

2005-04-14  Philipp Kern <phil@0x539.de>

	Moved include installation to inc/

2005-04-10  Philipp Kern <phil@0x539.de>

	Changed the version number of the newly contributed ebuild

2005-04-10  Thomas Glatt <tom@0x539.de>

	Ebuild for libobby

2005-04-10  Philipp Kern <phil@0x539.de>

	Removed obsolete TODO item

2005-04-10  Philipp Kern <phil@0x539.de>

	New configure option: --disable-tests

2005-04-10  Philipp Kern <phil@0x539.de>

	Reworked the build system, uses subdirs now

2005-04-10  Philipp Kern <phil@0x539.de>

	The howl dependency is now at the user's choice

2005-04-10  Philipp Kern <phil@0x539.de>

	WIN32 build support

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Initialize net6 in obby::buffer

2005-04-09  Armin Burgmeier <armin@0x539.de>

	Build fixes for WIN32

2005-04-09  Benjamin Herr <ben@0x539.de>

	curses client doubleplusungood: interpreted %-formatters, exitted on q

2005-04-09  Philipp Kern <phil@0x539.de>

	Relicensed under the GPL

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Fixed history order in server_buffer

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Fixed bufferd calls on main document

2005-04-08  Armin Burgmeier <armin@0x539.de>

	abstract document handling in buffer, implementations

2005-04-08  Armin Burgmeier <armin@0x539.de>

	TODO: Grep for TODOs in the code

2005-04-08  Armin Burgmeier <armin@0x539.de>

	Debug output for gobby

2005-04-08  Philipp Kern <phil@0x539.de>

	Link tests dynamically and self-contained

2005-04-08  Philipp Kern <phil@0x539.de>

	Remove the last newline from document::get_whole_buffer()

2005-04-07  Philipp Kern <phil@0x539.de>

	bufferd now displays received user chat messages

2005-04-07  Philipp Kern <phil@0x539.de>

	Added missing newline to document::get_whole_buffer()

2005-04-07  Benjamin Herr <ben@0x539.de>

	Added accessor for newly added server message event

2005-04-07  Philipp Kern <phil@0x539.de>

	Server message implemented, emit signals on own messages

2005-04-07  Philipp Kern <phil@0x539.de>

	Ignore packets with invalid userid

2005-04-07  Philipp Kern <phil@0x539.de>

	Use obby::user in on_message instead of numerical uid

2005-04-07  Philipp Kern <phil@0x539.de>

	Fixed chat protocol

2005-04-07  Philipp Kern <phil@0x539.de>

	Implemented send_message()

2005-04-07  Philipp Kern <phil@0x539.de>

	Build fix to Makefile.am, one more TODO item

2005-04-06  Philipp Kern <phil@0x539.de>

	Replace AE synchronize with BE synchronise

2005-04-06  Philipp Kern <phil@0x539.de>

	Remove insert/remove debug code from bufferd

2005-04-06  Philipp Kern <phil@0x539.de>

	Deactivate discover test for now

2005-04-06  Philipp Kern <phil@0x539.de>

	Correct document title synchronisation

2005-04-06  Philipp Kern <phil@0x539.de>

	Updated TODO

2005-04-06  Philipp Kern <phil@0x539.de>

	First try of a messaging system, not yet tested.

2005-04-06  Philipp Kern <phil@0x539.de>

	Added document titles to create, some more fixes

2005-04-06  Philipp Kern <phil@0x539.de>

	Committed missing declaration

2005-04-06  Philipp Kern <phil@0x539.de>

	Some fixes to document renaming

2005-04-06  Armin Burgmeier <armin@0x539.de>

	return true in server_buffer::on_auth when login was successful

2005-04-06  Armin Burgmeier <armin@0x539.de>

	TODO: utf-8

2005-04-06  Philipp Kern <phil@0x539.de>

	Added document titles

2005-04-06  Philipp Kern <phil@0x539.de>

	Documentation fixes (ize -> ise)

2005-04-05  Armin Burgmeier <armin@0x539.de>

	Actual TODO

2005-04-04  Philipp Kern <phil@0x539.de>

	Add NEWS file

2005-04-04  Philipp Kern <phil@0x539.de>

	Implemented forward delete, created key dispatcher

2005-04-04  Philipp Kern <phil@0x539.de>

	Introduced document::position_eob() to get the end of buffer position

2005-04-03  Philipp Kern <phil@0x539.de>

	Check NEWS on ``make dist'', versioned automake dependency

2005-04-03  Armin Burgmeier <armin@0x539.de>

	Initialize m_usertable field

2005-04-03  Armin Burgmeier <armin@0x539.de>

	Add host_buffer's local user to user table

2005-04-03  Armin Burgmeier <armin@0x539.de>

	Adjusted to net6-pre/post login

2005-03-30  Philipp Kern <phil@0x539.de>

	Compile fix, cast to int

2005-03-24  Armin Burgmeier <armin@0x539.de>

	Made select available from the base class, obby::buffer

2005-03-24  Armin Burgmeier <armin@0x539.de>

	Fixed row/col -> position translation

2005-03-24  Armin Burgmeier <armin@0x539.de>

	obby::line - line content with user colourising

2005-03-23  Armin Burgmeier <armin@0x539.de>

	user_tables

2005-03-21  Armin Burgmeier <armin@0x539.de>

	Fixed yet another client synchonisation bug

2005-03-21  Armin Burgmeier <armin@0x539.de>

	Documents store their data in an array of lines instead of one
	big string

2005-03-19  Philipp Kern <phil@0x539.de>

	bufferd: Catch exceptions in main

2005-03-19  Philipp Kern <phil@0x539.de>

	Switch to automake within test/

2005-03-19  Philipp Kern <phil@0x539.de>

	Run autoheader in autogen, default to maintainer mode

2005-03-19  Armin Burgmeier <armin@0x539.de>

	bufferd

2005-03-19  Armin Burgmeier <armin@0x539.de>

	Fixed curses client

2005-03-19  Armin Burgmeier <armin@0x539.de>

	Fixed two segfaults in server_buffer

2005-03-19  Armin Burgmeier <armin@0x539.de>

	Fixed the record's clone methods - they built wrong records

2005-03-18  Armin Burgmeier <armin@0x539.de>

	Reorderd some signal stuff

2005-03-18  Armin Burgmeier <armin@0x539.de>

	MDI synchronization fixed.

2005-03-17  Philipp Kern <phil@0x539.de>

	Randomise colour codes in curses client

2005-03-17  Armin Burgmeier <armin@0x539.de>

	Fixed compilation problems on x86_64

2005-03-17  Armin Burgmeier <armin@0x539.de>

	Initial MDI interface - TODO: Syncing, Testing!

2005-03-17  Armin Burgmeier <armin@0x539.de>

	Removed docs/obby.hpp; it is no longer needed

2005-03-17  Armin Burgmeier <armin@0x539.de>

	Fixed vertical scrolling in curses client

2005-03-17  Philipp Kern <phil@0x539.de>

	Some changes to boring

2005-03-17  Armin Burgmeier <armin@0x539.de>

	curses-client: run returns just a boolean value wether the
	execution was successful or not.

2005-03-17  Armin Burgmeier <armin@0x539.de>

	Fixed memleak in server_buffer and client_buffer

2005-03-16  Philipp Kern <phil@0x539.de>

	At least we do get the server failure messages why the login
	is denied.

2005-03-16  Armin Burgmeier <armin@0x539.de>

	host_buffer implementation

2005-03-16  Armin Burgmeier <armin@0x539.de>

	user management

2005-03-16  Armin Burgmeier <armin@0x539.de>

	Updated TODO list

2005-03-13  Armin Burgmeier <armin@0x539.de>

	Fixed synchronisation with delete_records

2005-03-13  Armin Burgmeier <armin@0x539.de>

	client_buffer syncing problem fixed

2005-03-09  Philipp Kern <phil@0x539.de>

	Copied GPL license into empty COPYING

2005-03-08  Philipp Kern <phil@0x539.de>

	Use net6::ipv4_address for rendezvous host information

2005-03-07  Armin Burgmeier <armin@0x539.de>

	Non-functional Backspace implementation

2005-03-07  Armin Burgmeier <armin@0x539.de>

	Cursor movement in curses frontend

2005-03-07  Armin Burgmeier <armin@0x539.de>

	Scrolling in curses frontend

2005-03-07  Armin Burgmeier <armin@0x539.de>

	Fixed endless loop when syncing multiple lines

2005-03-07  Armin Burgmeier <armin@0x539.de>

	Multiline text inserting actually works

2005-03-06  Armin Burgmeier <armin@0x539.de>

	include <cassert> - it seems not be included by other include
	files on all systems

2005-03-06  Armin Burgmeier <armin@0x539.de>

	Beginning of simple curses editor using libobby

2005-03-06  Armin Burgmeier <armin@0x539.de>

	line count access

2005-03-06  Armin Burgmeier <armin@0x539.de>

	position<->coordinate translation

2005-03-06  Armin Burgmeier <armin@0x539.de>

	Rewrote many parts of the library

2005-03-06  Philipp Kern <phil@0x539.de>

	Added libtool binary compatibility info

2005-03-05  Philipp Kern <phil@0x539.de>

	Leave event, signal bugfix

2005-03-05  Philipp Kern <phil@0x539.de>

	More rendezvous documentation comments

2005-03-05  Philipp Kern <phil@0x539.de>

	Added rendezvous publishing to bufferd

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Buffer synchronisation test

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Buffer synchronisation on join

2005-03-05  Philipp Kern <phil@0x539.de>

	Added blocking and timed select to rendezvous

2005-03-05  Philipp Kern <phil@0x539.de>

	Added discover test code

2005-03-05  Armin Burgmeier <armin@0x539.de>

	get_whole_buffer to receive the whole buffer as string

2005-03-05  Philipp Kern <phil@0x539.de>

	Added more rendezvous more

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Fixed server buffer synchronisation

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Fixed client buffer synchronisation

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Fixed buffer::insert_nosync implementation

2005-03-05  Philipp Kern <phil@0x539.de>

	Removed compression item from the FAQ

2005-03-05  Philipp Kern <phil@0x539.de>

	Implemented howl callback functions

2005-03-05  Philipp Kern <phil@0x539.de>

	Add a C function which returns the library version

2005-03-05  Philipp Kern <phil@0x539.de>

	Use correct project name in doxyfile

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Fix segfaults in client_buffer/server_buffer

2005-03-05  Philipp Kern <phil@0x539.de>

	Rendezvous: One more callback, discover signal.

2005-03-05  Philipp Kern <phil@0x539.de>

	Some more rendezvous stuff

2005-03-05  Philipp Kern <phil@0x539.de>

	Tests do no longer depend on an installed libobby

2005-03-05  Philipp Kern <phil@0x539.de>

	Added howl to pkg-config dependencies

2005-03-05  Armin Burgmeier <armin@0x539.de>

	Link against howl to make the tests compiling

2005-03-05  Armin Burgmeier <armin@0x539.de>

	include <cassert> to use assert in record.cpp

2005-03-05  Armin Burgmeier <armin@0x539.de>

	buffer test

2005-03-05  Philipp Kern <phil@0x539.de>

	First template of howl API abstraction

2005-03-05  Armin Burgmeier <armin@0x539.de>

	access to net6::client::get_self() from client_buffer

2005-03-05  Armin Burgmeier <armin@0x539.de>

	client_buffer synced insert/delete operatiosn

2005-03-05  Armin Burgmeier <armin@0x539.de>

	client_buffer::login

2005-03-05  Philipp Kern <phil@0x539.de>

	Added dependencies to pkgconfig control file

2005-03-05  Armin Burgmeier <armin@0x539.de>

	dummy insert/erase records in buffers to make them instantiable

2005-03-05  Armin Burgmeier <armin@0x539.de>

	iteration fixes

2005-03-05  Armin Burgmeier <armin@0x539.de>

	client_record network event handling

2005-03-05  Philipp Kern <phil@0x539.de>

	Added GPL header to AUTHORS

2005-03-05  Philipp Kern <phil@0x539.de>

	Depend on net6-1.0, link against the lib in ../.libs

2005-03-05  Armin Burgmeier <armin@0x539.de>

	client_buffer network event handling template

2005-03-04  Armin Burgmeier <armin@0x539.de>

	server network event handling

2005-03-04  Armin Burgmeier <armin@0x539.de>

	record<->packet translation, record reversion

2005-03-04  Armin Burgmeier <armin@0x539.de>

	server_buffer event handling routine prototypes

2005-03-04  Armin Burgmeier <armin@0x539.de>

	records use nosync-operations by default

2005-03-04  Armin Burgmeier <armin@0x539.de>

	first tests for record moving test

2005-03-04  Armin Burgmeier <armin@0x539.de>

	is_valid actually is in the base class

2005-03-04  Armin Burgmeier <armin@0x539.de>

	server_buffer implementation

2005-03-04  Philipp Kern <phil@0x539.de>

	Added server_buffer.cpp template.

2005-03-03  Philipp Kern <phil@0x539.de>

	Put boring under version control.

2005-03-03  Philipp Kern <phil@0x539.de>

	Removed autotools output, added autogen.sh

2005-03-03  Armin Burgmeier <armin@0x539.de>

	record member accessors

2005-03-03  Philipp Kern <phil@0x539.de>

	Added doxygen configuration files.

2005-03-03  Philipp Kern <phil@0x539.de>

	It is generated by autogen.sh.

2005-03-03  Armin Burgmeier <armin@0x539.de>

	server_buffer implementation

2005-03-03  Armin Burgmeier <armin@0x539.de>

	client_buffer implementation

2005-03-03  Armin Burgmeier <armin@0x539.de>

	insert/erase 

2005-03-03  Armin Burgmeier <armin@0x539.de>

	buffer::get_sub_buffer

2005-03-03  Philipp Kern <phil@0x539.de>

	Added dummy buffer source

2005-03-03  Armin Burgmeier <armin@0x539.de>

	assertions in position/records for debug purposes

2005-03-03  Armin Burgmeier <armin@0x539.de>

	delete_record::on_delete

2005-03-03  Armin Burgmeier <armin@0x539.de>

	sub_range in position

2005-03-02  Armin Burgmeier <armin@0x539.de>

	validness verification in record

2005-03-02  Armin Burgmeier <armin@0x539.de>

	delete_event compilation fixes

2005-03-02  Armin Burgmeier <armin@0x539.de>

	delete_record implementation

2005-03-02  Armin Burgmeier <armin@0x539.de>

	else -> else if

2005-03-02  Armin Burgmeier <armin@0x539.de>

	fixed on_insert in insert_record

2005-03-02  Armin Burgmeier <armin@0x539.de>

	avoid duplicate parameter names

2005-03-02  Armin Burgmeier <armin@0x539.de>

	position::operator+

2005-03-02  Armin Burgmeier <armin@0x539.de>

	insert_record using position::position(const std::string&)

2005-03-02  Armin Burgmeier <armin@0x539.de>

	std::string-constructor for position

2005-03-02  Armin Burgmeier <armin@0x539.de>

	insert_record 

2005-03-02  Armin Burgmeier <armin@0x539.de>

	compilation fixes

2005-03-02  Philipp Kern <phil@0x539.de>

	autotoolise part 2

2005-03-02  Philipp Kern <phil@0x539.de>

	autotoolise

2005-03-02  Armin Burgmeier <armin@0x539.de>

	indent/unindent

2005-03-02  Armin Burgmeier <armin@0x539.de>

	record implementation

2005-03-02  Armin Burgmeier <armin@0x539.de>

	position-implementation

2005-03-02  Armin Burgmeier <armin@0x539.de>

	inc files from docs/obby.hpp

2005-03-02  Armin Burgmeier <armin@0x539.de>

	inc/src directory

2005-03-02  Armin Burgmeier <armin@0x539.de>

	minor corrections

2005-03-02  Armin Burgmeier <armin@0x539.de>

	-boost+sigc

2005-03-02  Armin Burgmeier <armin@0x539.de>

	client/server

2005-03-01  Philipp Kern <phil@0x539.de>

	Some more documentation

2005-03-01  Armin Burgmeier <armin@0x539.de>

	on_insert/on_delete

2005-03-01  Philipp Kern <phil@0x539.de>

	First draft for a revision-based system

2005-03-01  Philipp Kern <phil@philkern.de>

	Added the AUTHORS information to the repository as a first commit.

